Error to unistall and install mo-pagespeed on centos 64 bit

838 views
Skip to first unread message

fekart

unread,
Sep 15, 2011, 4:32:37 AM9/15/11
to mod-pagespeed-discuss
I got this error i try to install the mod on apache 2.2 centos 5.5 with
+plesk.

rpm -ivh mod-pagespeed-beta_current_x86_64.rpm
Preparing...
########################################### [100%]
file /etc/cron.daily/mod-pagespeed from install of mod-
pagespeed-beta-0.9.18.7-900.x86_64 conflicts with file from package
mod-pagespeed-beta-0.9.18.7-900.i386
file /etc/httpd/conf.d/pagespeed.conf from install of mod-
pagespeed-beta-0.9.18.7-900.x86_64 conflicts with file from package
mod-pagespeed-beta-0.9.18.7-900.i386

I can't find this mod i386 on my server and i removed pagespeed.conf
from
/etc/httpd/conf.d/pagespeed.conf and still have the same error code.

Any one can help me to remove all those packages pls?

fekart
www.imageenmarche.fr

Joshua Marantz

unread,
Sep 15, 2011, 9:17:39 AM9/15/11
to mod-pagesp...@googlegroups.com
I'm inferring from the error message you pasted that you have a 64-bit system and you first tried to install the 32-bit rpm.  Is that right?

I'm not an RPM expert, but from the help, perhaps uninstalling the 32-bit one with something like:

  rpm --erase=mod-pagespeed-beta

will do the job.

Matt Atterbury

unread,
Nov 8, 2012, 3:39:07 PM11/8/12
to mod-pagesp...@googlegroups.com
I have 2 suggestions:
1. Try removing the package specifying the complete name: mod-pagespeed-stable-1.0.22.7-2005.i386
    (I don't know if rpm lets you specify the complete name, so this is a guess)
2. Try this remove command: rpm -evv mod-pagespeed-stable and post the output.

Regards, m.

On Thu, Nov 8, 2012 at 3:16 PM, Sean Delaney <se...@deerdigital.com> wrote:
Hi

I have this exact problem.  I installed 32bit by mistake. When I rpm --erase=mod-pagespeed-stable I get 'rpm: no packages given for erase'

When I tried to install 64 bit I got this:

rpm -ivh mod-pagespeed*.rpm
Preparing...                ########################################### [100%]
file /etc/cron.daily/mod-pagespeed from install of mod-pagespeed-stable-1.0.22.7-2005.x86_64 conflicts with file from package mod-pagespeed-stable-1.0.22.7-2005.i386
file /etc/httpd/conf.d/pagespeed.conf from install of mod-pagespeed-stable-1.0.22.7-2005.x86_64 conflicts with file from package mod-pagespeed-stable-1.0.22.7-2005.i386


Any idea?

Matt Atterbury

unread,
Nov 8, 2012, 4:31:51 PM11/8/12
to mod-pagesp...@googlegroups.com
Hi Sean,

Yep, it looks like it was removed OK. rpm -q mod-pagespeed should tell you what/if-it is installed.

m.

On Thu, Nov 8, 2012 at 4:28 PM, Sean Delaney <se...@deerdigital.com> wrote:

Hi

No. 1 didn't work - specifying the complete name.

I then ran command in no. 2 and got this:

rpm -evv mod-pagespeed-stable
D: loading keyring from pubkeys in /var/lib/rpm/pubkeys/*.key
D: couldn't find any keys in /var/lib/rpm/pubkeys/*.key
D: loading keyring from rpmdb
D: opening  db environment /var/lib/rpm cdb:mpool:joinenv
D: opening  db index       /var/lib/rpm/Packages rdonly mode=0x0
D: locked   db index       /var/lib/rpm/Packages
D: opening  db index       /var/lib/rpm/Name rdonly mode=0x0
D:  read h#     198 Header sanity check: OK
D: added key gpg-pubkey-c105b9de-4e0fd3a3 to keyring
D:  read h#     702 Header sanity check: OK
D: added key gpg-pubkey-7fac5991-4615767f to keyring
D: Using legacy gpg-pubkey(s) from rpmdb
D:  read h#     701 Header V4 DSA/SHA1 Signature, key ID 7fac5991: OK
D: ========== --- mod-pagespeed-stable-1.0.22.7-2005 i386/linux 0x1
D: opening  db index       /var/lib/rpm/Requirename rdonly mode=0x0
D: ========== recording tsort relations
D: ========== tsorting packages (order, #predecessors, #succesors, tree, depth)
D:     0    0    0    0    1   -mod-pagespeed-stable-1.0.22.7-2005.i386
D: erasing packages
D: closed   db index       /var/lib/rpm/Requirename
D: closed   db index       /var/lib/rpm/Name
D: closed   db index       /var/lib/rpm/Packages
D: closed   db environment /var/lib/rpm
D: opening  db environment /var/lib/rpm cdb:mpool:joinenv
D: opening  db index       /var/lib/rpm/Packages create mode=0x42
D: sanity checking 1 elements
D: running pre-transaction scripts
D: computing 6 file fingerprints
D: computing file dispositions
D: opening  db index       /var/lib/rpm/Basenames create mode=0x42
D: 0x0000ca01     4096      7800328      4380821 /
D: ========== +++ mod-pagespeed-stable-1.0.22.7-2005 i386-linux 0x1
D:  read h#     701 Header V4 DSA/SHA1 Signature, key ID 7fac5991: OK
D:     erase: mod-pagespeed-stable-1.0.22.7-2005 has 6 files, test = 0
D: opening  db index       /var/lib/rpm/Name create mode=0x42
D: opening  db index       /var/lib/rpm/Triggername create mode=0x42
D:     erase: %preun(mod-pagespeed-stable-1.0.22.7-2005.i386) scriptlet start
D:     erase: %preun(mod-pagespeed-stable-1.0.22.7-2005.i386) execv(/bin/sh) pid 25937
+ '[' 0 -eq 0 ']'
+ mode=uninstall
+ DEFAULTS_FILE=/etc/default/mod-pagespeed
+ DEFAULT_ARCH=i386
+ YUM_REPO_FILE=/etc/yum.repos.d/mod-pagespeed.repo
+ ZYPPER_REPO_FILE=/etc/zypp/repos.d/mod-pagespeed.repo
+ URPMI_REPO_FILE=/etc/urpmi/urpmi.cfg
+ exit 0
D:     erase: waitpid(25937) rc 25937 status 0 secs 0.009
D: fini      040755  2 ( 502, 503)      4096 /var/www/mod_pagespeed/files 
D: fini      040755  2 ( 502, 503)      4096 /var/www/mod_pagespeed/cache 
D: fini      000644  0 (   0,   0)         0 /usr/lib/httpd/modules/mod_pagespeed_ap24.so 
D:    erase unlink of /usr/lib/httpd/modules/mod_pagespeed_ap24.so failed: No such file or directory
D: fini      000644  0 (   0,   0)         0 /usr/lib/httpd/modules/mod_pagespeed.so 
D:    erase unlink of /usr/lib/httpd/modules/mod_pagespeed.so failed: No such file or directory
D: fini      000644  0 (   0,   0)         0 /etc/httpd/conf.d/pagespeed.conf 
D:    erase unlink of /etc/httpd/conf.d/pagespeed.conf failed: No such file or directory
D: fini      000755  0 (   0,   0)         0 /etc/cron.daily/mod-pagespeed 
D:    erase unlink of /etc/cron.daily/mod-pagespeed failed: No such file or directory
D:     erase: %postun(mod-pagespeed-stable-1.0.22.7-2005.i386) scriptlet start
D:     erase: %postun(mod-pagespeed-stable-1.0.22.7-2005.i386) execv(/bin/sh) pid 25938
+ exit 0
D:     erase: waitpid(25938) rc 25938 status 0 secs 0.006
D:   --- h#     701 mod-pagespeed-stable-1.0.22.7-2005.i386
D: removing "mod-pagespeed-stable" from Name index.
D: removing 6 entries from Basenames index.
D: opening  db index       /var/lib/rpm/Group create mode=0x42
D: removing "System Environment/Daemons" from Group index.
D: opening  db index       /var/lib/rpm/Requirename create mode=0x42
D: removing 14 entries from Requirename index.
D: opening  db index       /var/lib/rpm/Providename create mode=0x42
D: removing 5 entries from Providename index.
D: opening  db index       /var/lib/rpm/Conflictname create mode=0x42
D: removing 2 entries from Conflictname index.
D: opening  db index       /var/lib/rpm/Dirnames create mode=0x42
D: removing 4 entries from Dirnames index.
D: opening  db index       /var/lib/rpm/Requireversion create mode=0x42
D: removing 14 entries from Requireversion index.
D: opening  db index       /var/lib/rpm/Provideversion create mode=0x42
D: removing 5 entries from Provideversion index.
D: opening  db index       /var/lib/rpm/Installtid create mode=0x42
D: removing 1 entries from Installtid index.
D: opening  db index       /var/lib/rpm/Sigmd5 create mode=0x42
D: removing 1 entries from Sigmd5 index.
D: opening  db index       /var/lib/rpm/Sha1header create mode=0x42
D: removing "3af39d80e5da49637fb63830e947600a14266835" from Sha1header index.
D: opening  db index       /var/lib/rpm/Filedigests create mode=0x42
D: removing 6 entries from Filedigests index.
D: running post-transaction scripts
D: closed   db index       /var/lib/rpm/Filedigests
D: closed   db index       /var/lib/rpm/Sha1header
D: closed   db index       /var/lib/rpm/Sigmd5
D: closed   db index       /var/lib/rpm/Installtid
D: closed   db index       /var/lib/rpm/Provideversion
D: closed   db index       /var/lib/rpm/Requireversion
D: closed   db index       /var/lib/rpm/Dirnames
D: closed   db index       /var/lib/rpm/Triggername
D: closed   db index       /var/lib/rpm/Conflictname
D: closed   db index       /var/lib/rpm/Providename
D: closed   db index       /var/lib/rpm/Requirename
D: closed   db index       /var/lib/rpm/Group
D: closed   db index       /var/lib/rpm/Basenames
D: closed   db index       /var/lib/rpm/Name
D: closed   db index       /var/lib/rpm/Packages
D: closed   db environment /var/lib/rpm


I guess this has removed it?  I've not tried installing the 64 bit yet.

Also how can I check if it has being removed?  I've ran: 'yum search all mod-pagespeed' and it came back with this:

yum search all mod-pagespeed
Loaded plugins: fastestmirror, priorities
Loading mirror speeds from cached hostfile
 * base: ftp.heanet.ie
 * extras: ftp.heanet.ie
 * updates: ftp.heanet.ie
============================ Matched: mod-pagespeed ============================
mod-pagespeed-beta.i386 : Apache 2 module to optimize web content.
mod-pagespeed-stable.i386 : Apache 2 module to optimize web content.


Regards
Sean

Matt Atterbury

unread,
Nov 8, 2012, 4:42:41 PM11/8/12
to mod-pagesp...@googlegroups.com
Great!

On Thu, Nov 8, 2012 at 4:38 PM, Sean Delaney <se...@deerdigital.com> wrote:
Yep, it is removed.

rpm -q mod-pagespeed
package mod-pagespeed is not installed

Brilliant - Thank you so much!

Sean

Sanjay Nakate

unread,
Aug 22, 2014, 2:40:13 AM8/22/14
to mod-pagesp...@googlegroups.com, fek...@gmail.com
i am getting bellow error on centos 32 bit,with apache 2.2.27 i have installed key and the i rub the command -> yum localinstall mod-pagespeed-beta_current_i386.rpm
so hoe to fix it please help me
root@ip-182-50-155-86 [~]# sudo rpm -U mod-pagespeed-*.rpm
error: Failed dependencies:
httpd >= 2.2 is needed by mod-pagespeed-beta-1.8.31.4-4009.i386
mod-pagespeed-stable conflicts with mod-pagespeed-beta-1.8.31.4-4009.i386
httpd >= 2.2 is needed by mod-pagespeed-stable-1.8.31.4-4056.i386
mod-pagespeed-beta conflicts with mod-pagespeed-stable-1.8.31.4-4056.i386
root@ip-182-50-155-86 [~]# sudo rpm -U mod-pagespeed-*.rpm
error: Failed dependencies:
httpd >= 2.2 is needed by mod-pagespeed-beta-1.8.31.4-4009.i386
mod-pagespeed-stable conflicts with mod-pagespeed-beta-1.8.31.4-4009.i386
httpd >= 2.2 is needed by mod-pagespeed-stable-1.8.31.4-4056.i386
mod-pagespeed-beta conflicts with mod-pagespeed-stable-1.8.31.4-4056.i386


Jeff Kaufman

unread,
Aug 26, 2014, 11:34:26 AM8/26/14
to mod-pagespeed-discuss, fek...@gmail.com
What does the following command give you?

sudo rpm -q mod-pagespeed-beta mod-pagespeed-stable


--
You received this message because you are subscribed to the Google Groups "mod-pagespeed-discuss" group.
To unsubscribe from this group and stop receiving emails from it, send an email to mod-pagespeed-di...@googlegroups.com.
To view this discussion on the web visit https://groups.google.com/d/msgid/mod-pagespeed-discuss/a11746d4-712b-48d2-98bf-e47d6d3461b5%40googlegroups.com.
For more options, visit https://groups.google.com/d/optout.

Jefak

unread,
Jan 19, 2022, 3:48:30 AMJan 19
to mod-pagespeed-discuss
Not installed for both
Reply all
Reply to author
Forward
0 new messages